.miam-select {
  
  &:focus-within {
    border: 1px solid var(--m-color-primary);
    ng-miam-icon {
      transform: rotate(180deg);
    }
  }
 
  select{
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 100%;
    border: none;
    outline: none;
    background-color: var(--m-color-unpure-white);
    cursor: pointer;
    padding-bottom: 4px;
  }

  ng-miam-icon {
    transition: 250ms cubic-bezier(0.075, 0.82, 0.165, 1);
  }
}
